package model

import (
	"time"
)

type GroupInfo struct {
	ChannelId    string    `json:"channel_id"`   // ChannelId
	Code         string    `json:"code"`         // Code
	Country      string    `json:"country"`      // 国家
	CreatedTime  time.Time `json:"created_time"` // CreatedTime
	EntryLevel   int       `json:"entry_level"`  // EntryLevel
	FaceUrl      string    `json:"face_url"`     // FaceUrl
	Id           int64     `json:"id"`           // id
	ImGroupId    string    `json:"im_group_id"`  // ImGroupId
	Introduction string    `json:"introduction"` // Introduction
	LoadHistory  int       `json:"load_history"` // LoadHistory
	MicNumType   int       `json:"mic_num_type"` // MicNumType
	MicOn        int       `json:"mic_on"`       // MicOn
	Name         string    `json:"name"`         // Name
	Notification string    `json:"notification"` // Notification
	OriginCode   string    `json:"origin_code"`  // OriginCode
	Owner        int64     `json:"owner"`        // Owner
	Password     string    `json:"password"`     // Password
	ThemeId      int       `json:"theme_id"`     // ThemeId
	UpdatedTime  time.Time `json:"updated_time"` // UpdatedTime
}

func (g *GroupInfo) TableName() string {
	return "group_info"
}
