package model

import (
	"time"
)

type UserNoble struct {
	CreatedTime time.Time `json:"created_time"` // CreatedTime
	EndTime     time.Time `json:"end_time"`     // 有效截至时间
	Id          int64     `json:"id"`           // id
	Level       int       `json:"level"`        // 贵族等级
	UpdatedTime time.Time `json:"updated_time"` // UpdatedTime
	UserId      int64     `json:"user_id"`      // 用户ID
}

func (u *UserNoble) TableName() string {
	return "user_noble"
}
