package model

import (
	"time"
)

type UserOauth struct {
	CreatedTime     time.Time `json:"created_time"`      // CreatedTime
	Id              int64     `json:"id"`                // id
	ThirdPartyId    string    `json:"third_party_id"`    // 第三方ID
	ThirdPartyToken string    `json:"third_party_token"` // 第三方token
	ThirdPartyType  int       `json:"third_party_type"`  // 第三方类型
	UpdatedTime     time.Time `json:"updated_time"`      // UpdatedTime
	UserId          int64     `json:"user_id"`           // 用户ID
}

func (u *UserOauth) TableName() string {
	return "user_oauth"
}
