package model

import (
	"time"
)

const (
	UserPropertyYesUsing = 1
	UserPropertyNoUsing  = 0
)

type UserProperty struct {
	CreatedTime time.Time `json:"created_time"` // CreatedTime
	EndTime     time.Time `json:"end_time"`     // 有效截至时间
	Id          int64     `json:"id"`           // id
	PropertyId  int64     `json:"property_id"`  // 道具ID
	UpdatedTime time.Time `json:"updated_time"` // UpdatedTime
	UserId      int64     `json:"user_id"`      // 用户ID
	Using       int       `json:"using"`        // Using
}

func (u *UserProperty) TableName() string {
	return "user_property"
}
