package model

import (
	"time"
)

type UserVisit struct {
	CreatedTime time.Time `json:"created_time"`  // CreatedTime
	Id          int64     `json:"id"`            // id
	N           int       `json:"n"`             // 访问次数
	UpdatedTime time.Time `json:"updated_time"`  // UpdatedTime
	UserId      int64     `json:"user_id"`       // 用户
	VisitUserId int64     `json:"visit_user_id"` // 访问者
}

func (u *UserVisit) TableName() string {
	return "user_visit"
}
